#
# spec file for package ImageMagick (Version 5.3.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake bzip freetype2 freetype2-devel ghostscript-fonts-other ghostscript-fonts-std ghostscript-library ghostscript-serv gpp libgpp libjasper libjpeg liblcms libpng libtiff libxml2 libxml2-devel libz xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext ghostscript-fonts-other ghostscript-fonts-std ghostscript-library ghostscript-serv glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjasper libjpeg liblcms libpng libtiff libtool libxml2 libxml2-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         ImageMagick
Obsoletes:    imagemag
Provides:     imagemag
%define xtp_version 5.2.0
%define prefix /usr
%define perl_prefix /usr
Copyright:    freeware
Group:        Applications/Graphics
Autoreqprov:  on
Version:      5.3.8
Release:      46
Summary:      Image / film viewer
URL:          http://www.imagemagick.org
Source:  ImageMagick-%{version}.tar.bz2
Source2: xtp-%{xtp_version}.tar.bz2
Patch: ImageMagick-%{version}.dif
Patch1: ImageMagick-%{version}-fixes.patch
Patch3: ImageMagick-%{version}-delegates.patch
Patch2: xtp-%{xtp_version}.dif
BuildRoot:    /var/tmp/%{name}-build
%package -n perl-PerlMagick
Summary:      Perl interface for ImageMagick
Group:        Development/Libraries/Perl
Autoreqprov:  on
%package devel
Requires:     ImageMagick
Summary:      Includes and static libraries for ImageMagick
Group:        Development/Libraries
Autoreqprov:  on
%package Magick++
Requires:     ImageMagick ImageMagick-devel
Obsoletes:    magickpp
Provides:     magickpp
Summary:      C++ interface to ImageMagick
Group:        Development/Libraries
Autoreqprov:  on
%prep
rm -rf xtp-%{xtp_version}
%setup -n ImageMagick-%{version} -b 2
%patch
%patch1
%patch3
%{?suse_update_config:%{suse_update_config -f ltdl }}
libtoolize --force
aclocal
automake || true
autoconf
cd ltdl
aclocal
autoconf
cd ../../xtp-%{xtp_version}
%patch2
%{?suse_update_config:%{suse_update_config -f }}
libtoolize --force
aclocal
automake || true
autoconf

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
#export CFLAGS="-g"
#export CXXFLAGS="-g"
export CPPFLAGS="-I/usr/include/freetype2 -I/usr/include/lcms "
./configure --prefix=%{prefix} \
         --mandir=%{_mandir} --enable-shared --without-frozenpaths \
	 --with-largefiles  --with-magick_plus_plus --with-modules\
	 --with-threads # $RPM_ARCH-suse-linux 
make all
cd PerlMagick
perl Makefile.PL
make LD_RUN_PATH="/usr/lib:/usr/X11R6/lib" 
#
cd ../../xtp-%{xtp_version}
./configure --prefix=%{prefix}
make 

%install
rm -rf $RPM_BUILD_ROOT
eval `perl -V:installarchlib`
mkdir -p  $RPM_BUILD_ROOT/$installarchlib
install -d $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/images
make install \
     DESTDIR=$RPM_BUILD_ROOT \
     PREFIX=$RPM_BUILD_ROOT/%{perl_prefix} \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     pkgdocdir=$RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}
     
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
mv $RPM_BUILD_ROOT/$installarchlib/perllocal.pod $RPM_BUILD_ROOT/var/adm/perl-modules/plmagick 
( cd Magick++
  rm -rf demo/{.deps,.libs,*.C,*.o,Makefile*,run_demos.bat} `find demo -type f -perm +111`
  mv demo/makefile.2 demo/Makefile
)
( cd ../xtp-%{xtp_version}
  make DESTDIR=$RPM_BUILD_ROOT install 
)
cp -a scenes $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/
chmod 755 $RPM_BUILD_ROOT%{prefix}/lib/libMagick.so.[0-9]*
for i in `find $RPM_BUILD_ROOT \( -name .packlist -o -name plmagick \) -print`
do
  cp $i $i.orig
  sed -e s:$RPM_BUILD_ROOT:: $i.orig > $i
  rm -f $i.orig
done
cd $RPM_BUILD_ROOT/usr/lib/ImageMagick/modules/coders
for i in *.la ; do
  mv $i $i.orig
  sed -e "s: -L/usr/src[^ ]*::g" $i.orig >$i
  rm $i.orig
done  

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%docdir %{_defaultdocdir}/%{name}
%{_defaultdocdir}/%{name}
%dir %{prefix}/share/ImageMagick
%config %{prefix}/share/ImageMagick/*.mgk
%config %{prefix}/lib/ImageMagick/*.mgk
%{prefix}/bin/[^M]*
%{prefix}/lib/libMagick.la
%{prefix}/lib/libMagick.so.*
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/quantize.5*
%doc %{_mandir}/man4/miff.4*
#
%dir %{prefix}/lib/ImageMagick
%dir %{prefix}/lib/ImageMagick/modules
%dir %{prefix}/lib/ImageMagick/modules/coders
%{prefix}/lib/ImageMagick/modules/coders/*.la
%{prefix}/lib/ImageMagick/modules/coders/*.so
%config %{prefix}/lib/ImageMagick/modules/coders/*.mgk

%files devel
%defattr(-,root,root)
%{prefix}/lib/libMagick.so
%{prefix}/lib/libMagick.a
%{prefix}/include/magick
%{prefix}/bin/Magick-config
#
%{prefix}/lib/ImageMagick/modules/coders/*.a

%files -n perl-PerlMagick
%defattr(-,root,root)
%doc PerlMagick/README.txt
%doc PerlMagick/demo
/var/adm/perl-modules/plmagick
%doc %{_mandir}/man3/Image::Magick.3pm*
%{perl_prefix}/lib/perl5/site_perl/5.*/*-linux/auto/Image
%{perl_prefix}/lib/perl5/site_perl/5.*/*-linux/Image

%files Magick++
%defattr(-,root,root)
%doc Magick++/NEWS Magick++/README  Magick++/demo
%{prefix}/lib/libMagick++.*
%{prefix}/include/Magick++.h
%{prefix}/include/Magick++
%{prefix}/bin/Magick++-config

%description
Image Magick allows you to view and edit images. The tools read and
write images in MIFF format. Other formats can be converted into MIFF.

Authors:
--------
    John Cristy <cristy@dupont.com>

SuSE series: gra


%description devel
Includes and static libraries for ImageMagick

SuSE series: gra


%description -n perl-PerlMagick
PerlMagick is an objected-oriented Perl interface to ImageMagick.
Use the module to read, manipulate, or write an image or image sequence
from within a Perl script. This makes it suitable for Web CGI scripts.
You must have ImageMagick 4.0.8 above and Perl version 5.002 or greater
installed on your system.

Authors:
--------
    John Cristy <cristy@dupont.com>

SuSE series: perl


%description Magick++
This is Magick++, the object-oriented C++ API to the ImageMagick
image-processing library.
Magick++ supports an object model which is inspired by PerlMagick. Magick++
should be a bit faster than PerlMagick since it is written in a compiled
language which is not parsed at run-time. This makes it suitable for Web CGI
programs. Images support implicit reference counting so that copy
constructors and assignment incur almost no cost. The cost of actually
copying an image (if necessary) is done just before modification and this
copy is managed automatically by Magick++. De-referenced copies are
automatically deleted. The image objects support value (rather than
pointer)  semantics so it is trivial to support multiple generations of an
image in memory at one time.

Authors:
--------
    Bob Friesenhahn <bfriesen@simple.dallas.tx.us>

SuSE series: gra


%changelog -n ImageMagick
* Fri Aug 24 2001 - nadvornik@suse.cz
- update to 5.3.8:
- Added a new method SetImageClipMask().
- Added @ to the image geometry specification. Use it to specify
  the square-root of the maximum area in pixels of an image
- many bugfixes
* Tue Aug 21 2001 - nadvornik@suse.cz
- removed wv-devel from neededforbuild, it is no longer needed
- fixed segfault in svg converting
- fixed doc installation
* Wed Aug 15 2001 - nadvornik@suse.cz
- compiled with libjasper
* Tue Jul 24 2001 - nadvornik@suse.cz
- update to 5.3.7
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonto> to <ghostscript-fonts-other>
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
* Wed Jun 27 2001 - nadvornik@suse.cz
- update to 5.3.6
- dropped ImageMagick-pictures subpackage
* Tue Jun 12 2001 - nadvornik@suse.cz
- update to 5.3.5
- fixed to compile with new autoconf
* Tue Apr 17 2001 - kukuk@suse.de
- Remove magickcpp_version macro
* Thu Apr 05 2001 - nadvornik@suse.cz
- updated to 5.3.1
* Tue Mar 27 2001 - ro@suse.de
- libtoolize main dir as well
* Tue Mar 27 2001 - ro@suse.de
- libtoolize
* Fri Mar 09 2001 - nadvornik@suse.cz
- updated to 5.3.0
- fixed neededforbuild
* Mon Feb 19 2001 - nadvornik@suse.cz
- fixed filelist
* Tue Feb 13 2001 - nadvornik@suse.cz
- update to 5.2.9
* Tue Dec 12 2000 - nadvornik@suse.cz
- compiled with option --with-threads
* Tue Dec 05 2000 - nadvornik@suse.cz
- update to 5.2.6
- now uses freetype2
* Thu Nov 16 2000 - nadvornik@suse.cz
- update to 5.2.5
* Tue Nov 14 2000 - nadvornik@suse.cz
- fixed writing transparent xpm files
* Wed Nov 08 2000 - nadvornik@suse.cz
- changed to long names
-    imagemag -> ImageMagick
-    magickd  -> ImageMagick-devel
-    magickpp -> ImageMagick-Magick++
-    plmagick -> perl-PerlMagick
-    impict   -> ImageMagick-pictures
* Wed Oct 18 2000 - nadvornik@suse.cz
- update to 5.2.4
- compiled with --with-modules
* Mon Sep 18 2000 - nadvornik@suse.cz
- fixed usage of suse_update_config
* Thu Sep 14 2000 - nadvornik@suse.cz
- drop subpackage imfilm, removed povray from neededforbuild
- povray scripts are now in /usr/share/doc/imagemag/scenes
* Thu Sep 14 2000 - nadvornik@suse.cz
- update to 5.2.3
- new subpackage magickd for includes and static libs
- changed prefix to /usr
- removed --without-largefiles
* Wed Aug 23 2000 - ro@suse.de
- fixed perl path
* Thu Jun 08 2000 - nadvornik@suse.cz
- update to latest source from ftp
- added source url
* Tue Jun 06 2000 - nadvornik@suse.cz
- images, scenes -> /usr/share/ImageMagick
- doc -> %%{_defaultdocdir}/imagemag
* Mon Jun 05 2000 - nadvornik@suse.cz
- used --without-largefiles
* Thu Jun 01 2000 - nadvornik@suse.cz
- xtp updated to 5.2.0
* Mon May 29 2000 - nadvornik@suse.cz
- updated to 5.2.0
* Fri May 19 2000 - nadvornik@suse.cz
- used %%{_defaultdocdir}
- changed group
* Fri Apr 28 2000 - nadvornik@suse.cz
- fixed to compile with xf86-4.0
* Mon Apr 10 2000 - nadvornik@suse.cz
- added URL
* Fri Apr 07 2000 - bk@suse.de
- added suse config update macro
* Thu Apr 06 2000 - nadvornik@suse.cz
- update to 5.1.1
- added BuildRoot
* Wed Jan 19 2000 - ro@suse.de
- fixed specfile
* Mon Jan 03 2000 - ro@suse.de
- update to 5.1.0
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 02 1999 - ro@suse.de
- update to 4.2.9
* Mon Jun 28 1999 - ro@suse.de
- update to 4.2.7
* Wed May 19 1999 - ro@suse.de
- fixed path in specfile
* Wed May 19 1999 - ro@suse.de
- fixed specfile
* Wed May 19 1999 - ro@suse.de
- update to 4.2.5
- new subpackage: magickpp (aka Magick++) a C++-API for libmagick
* Fri Feb 19 1999 - ro@suse.de
- update to 4.2.0
* Mon Jan 18 1999 - bs@suse.de
- set libraries to 755
* Wed Jan 13 1999 - ro@suse.de
- update to 4.1.7 / PerlMagick 1.58
* Mon Dec 14 1998 - ro@suse.de
- update to 4.1.6
- disabled unix98/ptys in configure.in
* Tue Dec 01 1998 - ro@suse.de
- update to 4.1.5 / PerlMagick 1.53
* Tue Nov 17 1998 - ro@suse.de
- update to 4.1.4
- switched to use configure instead of imake
* Mon Aug 17 1998 - ro@suse.de
- update to 4.0.9
* Fri Aug 14 1998 - ro@suse.de
- fixed online documentation
  /usr/doc/packages/ImageMagick/ImageMagick.html is start page
- added new subpackage PerlMagick "plmagick"
* Thu Aug 13 1998 - ro@suse.de
- update to 4.0.8
  fixed default for printCommand in Display with a app-defaults file
* Mon Jun 29 1998 - ro@suse.de
- update to version 4.0.7
  needs libpng-1.0.1 (and povray built with that version)
* Tue Apr 07 1998 - ro@suse.de
- update to version 4.0.4
  added freetype support
  needs libpng-1.0.1 (and povray built with that version)
* Sun Mar 01 1998 - ro@suse.de
- update to version 4.0.1
* Sun Nov 16 1997 - ro@suse.de
- fixed Symlink /usr/doc/packages/ImageMagick
* Fri Nov 14 1997 - ro@suse.de
- new version 3.9.2
* Tue Nov 11 1997 - ro@suse.de
- imfilm and impict are built from same specfile
* Mon Nov 03 1997 - ro@suse.de
- ready for autobuild
